classification
Title: List of dirs to ignore in trace.py is applied only for the first file
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, bogdan.opanchuk, ggenellina
Priority: normal Keywords: patch

Created on 2009-08-07 09:50 by bogdan.opanchuk, last changed 2010-02-22 22:21 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
trace.diff bogdan.opanchuk, 2009-08-07 09:50 patch for trace.py
Messages (3)
msg91399 - (view) Author: Bogdan Opanchuk (bogdan.opanchuk) Date: 2009-08-07 09:50
When creating a trace.Trace object or running trace.py one can specify
list of directories to ignore (ignoredirs or --ignore-dir
correspondingly). It is passed to trace.Ignore constructor, which stores
iterator to map(), applied to this list, in self._dirs. So, when
Ignore.names() execution passes to the block "for d in self._dirs:" for
the first time, iterator saves its state (in the end of the list) and
next times the code in this block is completely ignored. The result is
that 'ignoredirs' parameter does not actually work (except for the one
lucky file).

Proposed patch is attached.
msg91544 - (view) Author: Gabriel Genellina (ggenellina) Date: 2009-08-14 08:43
That's exactly the change 2to3 would suggest for that line. The guy 
doing the conversion must have missed it.
msg99857 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2010-02-22 22:21
Applied to 3.2 trunk in rev78340, and backported to 31-maint in rev78341.  Thanks for your patch!
History
Date User Action Args
2010-02-22 22:21:49akuchlingsetstatus: open -> closed
resolution: fixed
2010-02-22 22:21:31akuchlingsetnosy: + akuchling
messages: + msg99857
2009-11-14 17:48:12ggenellinasetversions: + Python 3.1
2009-08-14 08:43:36ggenellinasetnosy: + ggenellina
messages: + msg91544
2009-08-07 09:50:13bogdan.opanchukcreate